Robotics Service Bus - Tasks #553
Introduce Eventld comparable to C++
Status: Resolved Start date: 09/07/2011
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 4.00 hours
Target version: 0.5

Description

For efficient handling of source-id + sequence number we should integrate an event-id class comparable to the java version. This
class will expose a uuid if required.

This will break the API compatibility!

Related issues:
Blocks Robotics Service Bus - Enhancement # 498: Integrate causal vector for ... Closed 09/08/2011
Blocked by Robotics Systems Commons - Tasks # 555: Integrate deprecation macros Resolved 09/07/2011

Associated revisions

Revision 472¢52d4 - 09/07/2011 09:21 PM - J. Wienke

Introduce a dedicated Eventld class in C++.

The existing getld method has been marked as deprecated but stil [remains but with slightly changes semantics as it now can raise an exception.

fixes #553

Revision 84e68d2c - 09/07/2011 09:21 PM - J. Wienke

Introduce a dedicated Eventld class in C++.

The existing getld method has been marked as deprecated but stil Iremains but with slightly changes semantics as it now can raise an exception.

fixes #553

History

#1 - 09/07/2011 03:46 PM - J. Wienke
- Status changed from New to In Progress

#2 - 09/07/2011 09:22 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r2548.

#3 - 10/27/2011 08:14 PM - J. Moringen
- Target version changed from rsb-0.10 to 0.5
